aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/mkimg.xen.sh
diff options
context:
space:
mode:
authorTimo Teräs <timo.teras@iki.fi>2016-08-08 15:25:22 +0300
committerNatanael Copa <ncopa@alpinelinux.org>2016-11-14 20:10:39 +0000
commit46f65fad4cce984a5f3cb781ee2fe18933665862 (patch)
treeb19f847e4f9b91071cfb1eab5faad4e63b9bd60b /scripts/mkimg.xen.sh
parentcdaf6e91c92269a9ea7afe5cf83fee79f0594d90 (diff)
downloadaports-46f65fad4cce984a5f3cb781ee2fe18933665862.tar.bz2
aports-46f65fad4cce984a5f3cb781ee2fe18933665862.tar.xz
scripts/mkimage.sh: scripts to build bootable alpine images
Diffstat (limited to 'scripts/mkimg.xen.sh')
-rw-r--r--scripts/mkimg.xen.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/scripts/mkimg.xen.sh b/scripts/mkimg.xen.sh
new file mode 100644
index 0000000000..95ec182833
--- /dev/null
+++ b/scripts/mkimg.xen.sh
@@ -0,0 +1,17 @@
+build_xen() {
+ apk fetch --root "$APKROOT" --stdout xen-hypervisor | tar -C "$DESTDIR" -xz boot
+}
+
+section_xen() {
+ [ -n "${xen_params+set}" ] || return 0
+ build_section xen $ARCH $(apk fetch --root "$APKROOT" --simulate xen-hypervisor | checksum)
+}
+
+profile_xen() {
+ profile_standard
+ arch="x86_64"
+ kernel_cmdline="nomodeset"
+ xen_params=""
+ apks="$apks ethtool lvm2 mdadm multipath-tools openvswitch sfdisk xen"
+ apkovl="genapkovl-xen.sh"
+}